From 22748c203fe7164dfceb18145c15b00a1aa7c9df Mon Sep 17 00:00:00 2001
From: xantares <xantares09@hotmail.com>
Date: Sat, 31 Jan 2015 11:56:56 +0100
Subject: [PATCH 2/2] disable elffile warn for mingw packages

---
 Namcap/rules/anyelf.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Namcap/rules/anyelf.py b/Namcap/rules/anyelf.py
index c083fda..751c732 100644
--- a/Namcap/rules/anyelf.py
+++ b/Namcap/rules/anyelf.py
@@ -40,7 +40,7 @@ class package(TarballRule):
 				found_elffiles.append(entry.name)
 			f.close()
 
-		if pkginfo["arch"] and pkginfo["arch"][0] == 'any':
+		if pkginfo["arch"] and pkginfo["arch"][0] == 'any' and not pkginfo['name'].startswith('mingw-w64'):
 			self.errors = [("elffile-in-any-package %s", i)
 					for i in found_elffiles]
 		else:
-- 
2.2.2

